//+------------------------------------------------------------------+
//|                                                      Program.mqh |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#include <EasyAndFastGUI\Controls\WndEvents.mqh>
//+------------------------------------------------------------------+
//|                                        |
//+------------------------------------------------------------------+
class CProgram : public CWndEvents
  {
protected:
   //--- 
   CWindow           m_window;
   //---
public:
                     CProgram(void);
                    ~CProgram(void);
   //---  
   virtual void      OnEvent(const int milliseconds);
   //---   
   bool              CreateInfoPanel(void);
   //---
protected:
   //---  
   bool              CreateWindow(const string text);
   //---
  };
//+------------------------------------------------------------------+
//| Constructor                                                      |
//+------------------------------------------------------------------+
CProgram::CProgram(void)
  {
  }
//+------------------------------------------------------------------+
//| Destructor                                                       |
//+------------------------------------------------------------------+
CProgram::~CProgram(void)
  {
  }
//+------------------------------------------------------------------+
//|                                                           |
//+------------------------------------------------------------------+
void CProgram::OnEvent(const int milliseconds)
  {
   static int count =0;  // 
   string     str   =""; //   
//---     
   switch(count)
     {
      case 0 : str="SCRIPT PANEL";     break;
      case 1 : str="SCRIPT PANEL .";   break;
      case 2 : str="SCRIPT PANEL ..";  break;
      case 3 : str="SCRIPT PANEL ..."; break;
     }
//---   
   m_window.CaptionText(str);
//---  
   m_chart.Redraw();
//---  
   count++;
//---   , 
   if(count>3)
      count=0;
//--- 
   ::Sleep(milliseconds);
  }
//+------------------------------------------------------------------+
//|                                       |
//+------------------------------------------------------------------+
bool CProgram::CreateInfoPanel(void)
  {
//---  
   if(!CreateWindow("SCRIPT PANEL"))
      return(false);
//---    
// ...
//---
   m_chart.Redraw();
   return(true);
  }
//+------------------------------------------------------------------+
//|                                                      |
//+------------------------------------------------------------------+
bool CProgram::CreateWindow(const string caption_text)
  {
//---      
   CWndContainer::AddWindow(m_window);
//--- 
   int x=1;
   int y=14;
//--- 
   m_window.XSize(205);
   m_window.YSize(243);
//---       
   if(!m_window.CreateWindow(m_chart_id,m_subwin,caption_text,x,y))
      return(false);
//---
   return(true);
  }
//+------------------------------------------------------------------+
